Failed to connect: The server requires a TLS certificate

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Failed to connect: The server requires a TLS certificate

abccamips
Could not connect to server

Version gst-rtsp-server-1.12.0
Linux ubuntu-studio

Application Qt5.

-------------------------------------------
server
  Cert = g_tls_certificate_new_from_pem ("----- BEGIN CERTIFICATE -----"
           "MIICJjCCAY + gAwIBAgIBBz
Or self-signed certificate.
--------------------------------------------
client
Rtpbin name = rtpbin latency = 200 rtspsrc location = rtsps: //81.**.***.***: 8557 / video name = rtspsrc user-id = ****** user-pw = ****

Not very comfortable with gstreamer, I can not connect with tls, despite multiple attempts.
Without tls no problem.

Thanks in advance for any help .
https://www.abccamips.eu
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Failed to connect: The server requires a TLS certificate

Nicolas Dufresne-5
Le mercredi 26 juillet 2017 à 08:50 -0700, abccamips a écrit :

> Could not connect to server
>
> Version gst-rtsp-server-1.12.0
> Linux ubuntu-studio
>
> Application Qt5.
>
> -------------------------------------------
> server
>   Cert = g_tls_certificate_new_from_pem ("----- BEGIN CERTIFICATE -
> ----"
>            "MIICJjCCAY + gAwIBAgIBBz
> Or self-signed certificate.
> --------------------------------------------
> client
> Rtpbin name = rtpbin latency = 200 rtspsrc location = rtsps:
> //81.**.***.***: 8557 / video name = rtspsrc user-id = ****** user-pw
> = ****
>
> Not very comfortable with gstreamer, I can not connect with tls,
> despite
> multiple attempts.
> Without tls no problem.
As this is self-signed, did you notice the "recently" added property
"tls-validation-flags", "tls-database" and "tls-interaction". These
reflect the GIO TLS API, refer to GLib GIO documentation for more
details.

>
> Thanks in advance for any help .
>
>
>
> -----
> https://www.abccamips.eu
> --
> View this message in context: http://gstreamer-devel.966125.n4.nabble
> .com/Failed-to-connect-The-server-requires-a-TLS-certificate-
> tp4683964.html
> Sent from the GStreamer-devel mailing list archive at Nabble.com.
> _______________________________________________
> gstreamer-devel mailing list
> [hidden email]
> https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel
_______________________________________________
gstreamer-devel mailing list
[hidden email]
https://lists.freedesktop.org/mailman/listinfo/gstreamer-devel

signature.asc (201 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

Re: Failed to connect: The server requires a TLS certificate

abccamips
Thank you for your reply Nicolas.

I will explore the use of the "tls-validation-flags", "tls-database" and "tls-interaction" properties.

And refer to the GLIB GIO documentation.

Would you have any links with examples for this type of connection, despite my research I have seen few conclusive demonstrations.
https://www.abccamips.eu
Loading...